Bug 71319 - <input=file multiple> default text uses singular instead of plural
: <input=file multiple> default text uses singular instead of plural
Status: RESOLVED FIXED
: WebKit
Forms
: 528+ (Nightly build)
: Macintosh Mac OS X 10.7
: P2 Normal
Assigned To:
:
: InRadar
:
:
  Show dependency treegraph
 
Reported: 2011-11-01 14:16 PST by
Modified: 2011-12-01 23:37 PST (History)


Attachments
Patch (10.80 KB, patch)
2011-11-01 14:27 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (15.22 KB, patch)
2011-11-01 15:35 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (21.70 KB, patch)
2011-11-01 16:45 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff
Patch (23.16 KB, patch)
2011-11-01 18:00 PST, Jon Lee
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-01 14:16:02 PST
<input=file multiple> has label text that says "no file selected" next to "Choose files". It ought to be "no files selected"
------- Comment #1 From 2011-11-01 14:17:00 PST -------
<rdar://problem/10379021>
------- Comment #2 From 2011-11-01 14:27:37 PST -------
Created an attachment (id=113220) [details]
Patch
------- Comment #3 From 2011-11-01 14:56:28 PST -------
(From update of attachment 113220 [details])
Attachment 113220 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10190051
------- Comment #4 From 2011-11-01 15:00:20 PST -------
(From update of attachment 113220 [details])
Attachment 113220 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10175059
------- Comment #5 From 2011-11-01 15:35:22 PST -------
Created an attachment (id=113240) [details]
Patch
------- Comment #6 From 2011-11-01 15:48:25 PST -------
(From update of attachment 113240 [details])
Attachment 113240 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10256078
------- Comment #7 From 2011-11-01 15:54:14 PST -------
(From update of attachment 113240 [details])
Attachment 113240 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10257078
------- Comment #8 From 2011-11-01 16:45:15 PST -------
Created an attachment (id=113257) [details]
Patch
------- Comment #9 From 2011-11-01 17:37:16 PST -------
(From update of attachment 113257 [details])
Attachment 113257 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10128448
------- Comment #10 From 2011-11-01 18:00:00 PST -------
Created an attachment (id=113271) [details]
Patch
------- Comment #11 From 2011-11-02 11:36:05 PST -------
Committed r99083: <http://trac.webkit.org/changeset/99083>
------- Comment #12 From 2011-12-01 23:37:45 PST -------
(From update of attachment 113271 [details])
Obsoleting the patch since it already landed.